Custom php/mysql version

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Custom php/mysql version

Postby plavozont » 19. March 2015 07:52

I have PHP 5.3.3 and MySQL 5.0.45 on the server and I need the same things on local PC, so that behavior of my program was the same on both servers. Can I choose somehow the version I need?

The closest configuration that I've found is:

xampp-win32-1.6.4 with PHP 5.2.4 MySQL 5.0.45
xampp-win32-1.7.4-VC6 with PHP 5.3.5 MySQL 5.5.8

they don't fit very well....
plavozont
 
Posts: 2
Joined: 19. March 2015 06:58
Operating System: Windows XP

Re: Custom php/mysql version

Postby mark.mcdonald » 19. March 2015 15:05

Not knowing what operating system you are running I would highly recommend upgrading to xampp 1.8.2 on both pc's for consistency, functionality and security reasons -> http://sourceforge.net/projects/xampp/f ... ows/1.8.2/
Xampp has copies of all its historical releases -> http://sourceforge.net/projects/xampp/f ... 20Windows/
Your php version does not match any release I can see from Xampp (might of missed it) referencing -> http://en.wikipedia.org/wiki/XAMPP
For future reference it's always handy to keep the original download file(s) you used in case something goes wrong (changed settings, unexpected error/crash, just need a fresh start).
Can you please explain why you can't upgrade your current setup to a later version of Xampp / why it has to have those specific versions? (XAMPP 1.8.2 supports Windows XP or 2003)
mark.mcdonald
 
Posts: 160
Joined: 13. March 2015 15:48
Location: Edmonton
Operating System: Windows Server 2012 R2

Re: Custom php/mysql version

Postby Altrea » 19. March 2015 15:57

I would use XAMPP 1.7.3. Why?
It comes with PHP 5.3.X and MySQL 5.1.X (which is much nearer to MySQL 5.0 than MySQL 5.5)
And XAMPP 1.7.3 was a very stable bullet proof version.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8286
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Custom php/mysql version

Postby plavozont » 20. March 2015 04:56

Can you please explain why you can't upgrade your current setup to a later version of Xampp / why it has to have those specific versions? (XAMPP 1.8.2 supports Windows XP or 2003)


I have no power on the production server, but I have to develop for it. I can't do it on the production server for I can crash it accidentally or something, thats why I need a same configured server on my local PC.
plavozont
 
Posts: 2
Joined: 19. March 2015 06:58
Operating System: Windows XP


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 41 guests